NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.GeometricAnalysis.CurveAnalysisDisplay Class Reference

Represents a tool to control whether to show a curve's poles,knots,combs,peaks and inflections More...

Inheritance diagram for NXOpen.GeometricAnalysis.CurveAnalysisDisplay:
NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  ShowFlagType {
  Pole, Comb, Inflection, Peak,
  Knot, Endpoint
}
 Show flag types More...
 

Public Member Functions

unsafe
NXOpen.GeometricAnalysis.CurveAnalysisRecord 
GetAnalysisRecord (NXOpen.Curve curve)
 Gets analysis record More...
 
unsafe bool GetShowEndPoints (NXOpen.Curve curve)
 Gets a flag representing end points display state of a curve More...
 
unsafe bool GetShowKnot (NXOpen.Curve curve)
 Gets a flag representing knots display state of a b-spline curve More...
 
unsafe bool GetShowPole (NXOpen.Curve curve)
 Gets a flag representing poles display state of a b-spline curve More...
 
unsafe
NXOpen.GeometricAnalysis.CurveAnalysisRecord 
NewRecord ()
 Creats a curve analysis record More...
 
unsafe void SetAnalysisRecord (NXOpen.Curve curve, NXOpen.GeometricAnalysis.CurveAnalysisRecord record)
 Sets analysis record More...
 
unsafe void SetShowEndPoints (NXOpen.Curve curve, bool show)
 Sets a flag representing end points display state of a curve More...
 
unsafe void SetShowFlag (NXOpen.Curve curve, NXOpen.GeometricAnalysis.CurveAnalysisDisplay.ShowFlagType choice, bool on)
 Sets show flags More...
 
unsafe void SetShowKnot (NXOpen.Curve curve, bool show)
 Sets a flag representing knots display state of a b-spline curve More...
 
unsafe void SetShowPole (NXOpen.Curve curve, bool show)
 Sets a flag representing poles display state of a b-spline curve More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.Utilities.NXRemotableObject
void initialize ()
 <exclude> More...
 

Detailed Description

Represents a tool to control whether to show a curve's poles,knots,combs,peaks and inflections

To obtain an instance of this class, refer to NXOpen.GeometricAnalysis.AnalysisObjectCollection

Created in NX6.0.0

Member Enumeration Documentation

Show flag types

Enumerator
Pole 

show pole

Comb 

show comb

Inflection 

show inflection

Peak 

show peak

Knot 

show knot

Endpoint 

show endpoint

Member Function Documentation

unsafe NXOpen.GeometricAnalysis.CurveAnalysisRecord NXOpen.GeometricAnalysis.CurveAnalysisDisplay.GetAnalysisRecord ( NXOpen.Curve  curve)
inline

Gets analysis record

Created in NX6.0.0

Deprecated in NX8.5.0. Use NXOpen.GeometricAnalysis.CurveCurvatureAnalysis .

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
curvecurve
Returns
curve analysis record
unsafe bool NXOpen.GeometricAnalysis.CurveAnalysisDisplay.GetShowEndPoints ( NXOpen.Curve  curve)
inline

Gets a flag representing end points display state of a curve

Created in NX8.5.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
curvecurve
Returns
unsafe bool NXOpen.GeometricAnalysis.CurveAnalysisDisplay.GetShowKnot ( NXOpen.Curve  curve)
inline

Gets a flag representing knots display state of a b-spline curve

Created in NX8.5.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
curvecurve
Returns
unsafe bool NXOpen.GeometricAnalysis.CurveAnalysisDisplay.GetShowPole ( NXOpen.Curve  curve)
inline

Gets a flag representing poles display state of a b-spline curve

Created in NX8.5.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
curvecurve
Returns
unsafe NXOpen.GeometricAnalysis.CurveAnalysisRecord NXOpen.GeometricAnalysis.CurveAnalysisDisplay.NewRecord ( )
inline

Creats a curve analysis record

Created in NX6.0.0

Deprecated in NX8.5.0. Use NXOpen.GeometricAnalysis.CurveCurvatureAnalysis .

License requirements: solid_modeling ("SOLIDS MODELING")

Returns
unsafe void NXOpen.GeometricAnalysis.CurveAnalysisDisplay.SetAnalysisRecord ( NXOpen.Curve  curve,
NXOpen.GeometricAnalysis.CurveAnalysisRecord  record 
)
inline

Sets analysis record

Created in NX6.0.0

Deprecated in NX8.5.0. Use NXOpen.GeometricAnalysis.CurveCurvatureAnalysis .

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
curvecurve
recordcurve analysis record
unsafe void NXOpen.GeometricAnalysis.CurveAnalysisDisplay.SetShowEndPoints ( NXOpen.Curve  curve,
bool  show 
)
inline

Sets a flag representing end points display state of a curve

Created in NX8.5.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
curvecurve
show
unsafe void NXOpen.GeometricAnalysis.CurveAnalysisDisplay.SetShowFlag ( NXOpen.Curve  curve,
NXOpen.GeometricAnalysis.CurveAnalysisDisplay.ShowFlagType  choice,
bool  on 
)
inline

Sets show flags

Created in NX6.0.0

Deprecated in NX8.5.0. Use NXOpen.GeometricAnalysis.CurveCurvatureAnalysis .

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
curvecurve
choicepole/comb/inflection/peak/knot
ontrue/false to show flags
unsafe void NXOpen.GeometricAnalysis.CurveAnalysisDisplay.SetShowKnot ( NXOpen.Curve  curve,
bool  show 
)
inline

Sets a flag representing knots display state of a b-spline curve

Created in NX8.5.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
curvecurve
show
unsafe void NXOpen.GeometricAnalysis.CurveAnalysisDisplay.SetShowPole ( NXOpen.Curve  curve,
bool  show 
)
inline

Sets a flag representing poles display state of a b-spline curve

Created in NX8.5.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
curvecurve
show

Property Documentation

Tag NXOpen.GeometricAnalysis.CurveAnalysisDisplay.Tag
get

Returns the tag of this object.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.